Name: ibus-libpinyin
Summary: Intelligent Pinyin engine based on libpinyin for IBus
Version: 1.8.1
Release: %mkrel 1
Group: System/Internationalization
License: GPLv2+
URL: https://github.com/libpinyin/ibus-libpinyin
Source0: https://github.com/libpinyin/ibus-libpinyin/archive/%{name}-%{version}.tar.gz
BuildRequires: pkgconfig(gdk-3.0)
BuildRequires: pkgconfig(ibus-1.0) >= 1.4.0
BuildRequires: pkgconfig(libpinyin) >= 1.6.0
BuildRequires: pkgconfig(uuid)
BuildRequires: pkgconfig(sqlite3)
BuildRequires: pkgconfig(opencc)
BuildRequires: sqlite3-tools
BuildRequires: python
BuildRequires: intltool
BuildRequires: gnome-common
# ovitters: pkgconfig(gobject-introspection-1.0) includes script to determine typelib() auto buildrequires
BuildRequires: pkgconfig(gobject-introspection-1.0)
Requires:	ibus >= 1.4.0
Requires:	python-gi

%description
It includes a Chinese Pinyin input method and a Chinese ZhuYin (Bopomofo)
input method based on libpinyin for IBus.

%prep
%setup -q 

%build
NOCONFIGURE=yes ./autogen.sh
%configure2_5x --enable-opencc
%make

%install
%makeinstall_std

%find_lang %name

%files -f %name.lang
%{_libexecdir}/ibus-engine-libpinyin
%{_libexecdir}/ibus-setup-libpinyin
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}
%{_datadir}/ibus/component/libpinyin.xml
%{_datadir}/appdata/libpinyin.appdata.xml


%changelog
* Wed Jan 04 2017 yochenhsieh <yochenhsieh> 1.8.1-1.mga6
+ Revision: 1080039
- New version 1.8.1

* Fri Mar 04 2016 fwang <fwang> 1.7.4-1.mga6
+ Revision: 985414
- 1.7.4

* Mon Feb 15 2016 umeabot <umeabot> 1.7.2-2.mga6
+ Revision: 960648
- Mageia 6 Mass Rebuild

* Wed Aug 26 2015 fwang <fwang> 1.7.2-1.mga6
+ Revision: 869599
- update file list
- 1.7.2

* Sat Jul 04 2015 fwang <fwang> 1.7.1-2.mga6
+ Revision: 849885
- add requires on python-gi

* Sat Jul 04 2015 fwang <fwang> 1.7.1-1.mga6
+ Revision: 849880
- disable lua ext for now
- fix requires
- 1.7.1

* Wed Oct 15 2014 umeabot <umeabot> 1.6.92-3.mga5
+ Revision: 750927
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.6.92-2.mga5
+ Revision: 680416
- Mageia 5 Mass Rebuild

  + ovitters <ovitters>
    - add gobject-introspection BR for typelib auto BR

* Wed Feb 05 2014 fwang <fwang> 1.6.92-1.mga5
+ Revision: 583134
- new version 1.6.92

* Sat Oct 19 2013 umeabot <umeabot> 1.6.91-2.mga4
+ Revision: 526752
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 fwang <fwang> 1.6.91-1.mga4
+ Revision: 438786
- new version 1.6.91

* Sat Jan 12 2013 umeabot <umeabot> 1.4.93-2.mga3
+ Revision: 354067
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 23 2012 fwang <fwang> 1.4.93-1.mga3
+ Revision: 321172
- update file list
- br uuid
- imported package ibus-libpinyin

